@codiechanel/netlify-lambda
Based on Netlify-Lambda. Modified to suit personal workflow.
Last updated 2 years ago by codiechanel .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @codiechanel/netlify-lambda 
SYNC missed versions from official npm registry.

Netlify Lambda CLI

Based on Netlify-Lambda. Modified to suit personal workflow.

Installation

npm install @codiechanel/netlify-lambda

or

yarn add @codiechanel/netlify-lambda

Changes:

  1. Removed webpack dependency. Since create-react-app already includes webpack, it becomes redundant having 2 webpack versions co-exist in the node modules folder.
  2. Now using Babel 7. Since the new react-scripts@next uses Babel 7, it's a good move to adopt it, again to avoid package redundancy.
  3. It now uses the new @babel/preset-env which allows us to target specific node versions by just adding this option:
{
              "presets": [
                [
                  "@babel/preset-env",
                  {
                    "targets": {
                      "node": "6.10"
                    }
                  }
                ]
              ]
            }

License

MIT

Current Tags

  • 0.2.11                                ...           latest (2 years ago)

1 Versions

  • 0.2.11                                ...           2 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 3
Last Day 0
Last Week 1
Last Month 0
Dependencies (10)
Dev Dependencies (0)
None
Dependents (0)
None

Copyright 2014 - 2017 © taobao.org |